Bug 6664 (vs-504795) - Redundant nesting in unit tests pad
Summary: Redundant nesting in unit tests pad
Status: RESOLVED FIXED
Alias: vs-504795
Product: Xamarin Studio
Classification: Desktop
Component: NUnit (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: Normal enhancement
Target Milestone: 15.6
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2012-08-23 14:00 UTC by Mikayla Hutchinson [MSFT]
Modified: 2017-12-15 15:10 UTC (History)
3 users (show)

Tags: vs-sync
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Mikayla Hutchinson [MSFT] 2012-08-23 14:00:34 UTC
The unit tests pad has a nesting level for each namespace component, even when each only has a single child. This leads to a lot of annoying and unnecessary drilling down to get to the actual tests.

For example, in the following screenshot there are three redundant nesting levels:
http://screencast.com/t/pEQvNODzf
Comment 1 Stephen Shaw 2015-01-20 16:39:06 UTC
maybe something like this? https://www.dropbox.com/s/ohbc7g0fepp48gd/Screenshot%202015-01-20%2014.30.00.png?dl=0
Comment 2 xamarin-release-manager 2017-11-07 08:27:46 UTC
Fixed in version 7.4.0.525 (master)

Pull Request #3301 merged by: Dmytro Ovcharov
Author: mono
Commit: f1d69fb1372784fa25203b67635fb833a98fe7e2 (mono/monodevelop)